/*
 * Created on Jan 5, 2004
 *
 */
package LumiSoft.UI.Controls;

/**
 * Combo item.
 */
public class WComboItem 
{
	private String m_Text = "";
	private Object m_Tag  = null;
	
	/**
	 * Default constructor.
	 * @param text
	 */
	public WComboItem(String text)
	{
		m_Text = text;
	}
	
	
	public String toString()
	{
		return m_Text;
	}
	
	
	/**
	 * Gets item text.
	 * @return
	 */
	public String getText()
	{
		return m_Text;
	}
	/**
	 * Sets item text.
	 * @param value
	 */
	public void setText(String value)
	{
		if(m_Text != value){
			m_Text = value;
		}
	}
	
	/**
	 * Gets item tag.
	 * @return
	 */
	public Object getTag()
	{
		return m_Tag;
	}
	/**
	 * Sets item tag.
	 * @param value
	 */
	public void setTag(Object value)
	{
		m_Tag = value;		
	}

}
